Bug 122419 - Error message when doing make for kernel 2.6.5 from file fs/namei.c
Error message when doing make for kernel 2.6.5 from file fs/namei.c
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-05-04 03:45 EDT by Matt Plumb
Modified: 2007-04-18 13:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Plumb 2004-05-04 03:45:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1)

Description of problem:
When doing make on kernel 2.6.5 source,

  CC      fs/exec.o
  CC      fs/pipe.o
  CC      fs/namei.o
fs/namei.c: In function `link_path_walk':
fs/namei.c:772: internal error: Illegal instruction

make[1]: *** [fs/namei.o] Error 1
make: *** [fs] Error 2

Version-Release number of selected component (if applicable):
kernel-2.6.5, gcc 3.2-7

How reproducible:
Didn't try

Steps to Reproduce:
1. do make on kernel source (rh8, x11 (terminal), gcc 3.2-7, kernel 2.6.5)

Additional info:
Comment 1 Arjan van de Ven 2004-05-04 04:01:19 EDT
RHL 8 is end of life and won't receive further maintenance, so this
bug won't get fixed within RHL8. 
Comment 2 Bugzilla owner 2004-09-30 11:41:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.